### Method

# Xdp Portal open_file_finish

#### Declaration [src]

    GVariant*
    xdp_portal_open_file_finish (
      XdpPortal* portal,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the open-file request

Returns the result in the form of a `GVariant` dictionary containing the following fields:

- uris `as`: an array of strings containing the uris of selected files
- choices `a(ss)`: an array of pairs of strings, the first string being the ID of a combobox that was passed into this call, the second string being the selected option.

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GVariant`
| A `GVariant` dictionary with the results.
| The caller of the method takes ownership of the data, and is responsible for freeing it.